package com.gyee.frame.service.FanStatusQueryExportService;

import com.gyee.frame.mapper.FanStatusQueryExportMapper.FanStatusQueryExportMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service
public class FanStatusQueryExportService {

    @Resource
    private FanStatusQueryExportMapper fanStatusQueryExportMapper;

    //风机机组名
    public List<Map<String, Object>> getFanName(String windpowerstationid){

        return fanStatusQueryExportMapper.getFanName(windpowerstationid);}


    //风机状态信息
    public List<Map<String, Object>> getFjStatus(@Param("windturbineid") String windturbineid, @Param("satuscode") String satuscode,@Param("starttime")String starttime,@Param("stoptime") String stoptime){
        List<Map<String, Object>> list = fanStatusQueryExportMapper.getFjStatus(windturbineid,satuscode,starttime,stoptime);
        System.out.print(list);
        return list;

    }

}

